<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="UTF-8">
    <title>HyperMATS Map</title>
    <link rel="icon" type="image/x-icon" href="/images/favicon.ico">
    <link rel="stylesheet" type="text/css" href="style.css" />
  
  </head>
  
  <body>

    <div class="wrapper">
      <div class="box header">HyperMATS Simulation</div>
      <div class="box sidebar">
        <p>Click on the map to select the simulation area, then press the big red button</p>
        <p>To start the simulation with the map on screen, just go ahead and press the button</p>
        <p>Include <a href=https://wiki.openstreetmap.org/wiki/Key:highway>road types</a>:</p>
        <!--https://wiki.openstreetmap.org/wiki/Key:highway-->
        <div>
          <input type="checkbox" id="roadType1" name="roadType1" value="motorway">
          <label for="roadType1">Motorway: "A restricted access major divided highway, normally with 2 or more running lanes plus emergency hard shoulder."</label><br>
          <input type="checkbox" id="roadType2" name="roadType2" value="trunk">
          <label for="roadType2">Trunk: "The most important roads in a country's system that aren't motorways."</label><br> 
          <input type="checkbox" id="roadType3" name="roadType3" value="primary">
          <label for="roadType3">Primary: "The next most important roads in a country's system."</label><br>
          <input type="checkbox" id="roadType4" name="roadType4" value="secondary">
          <label for="roadType4">Secondary: "The next most important roads in a country's system."</label><br>
          <input type="checkbox" id="roadType5" name="roadType5" value="tertiary">
          <label for="roadType5">Tertiary: "The next most important roads in a country's system."</label><br>
          <input type="checkbox" id="roadType6" name="roadType6" value="unclassified">
          <label for="roadType6">Unclassified: "The least important through roads in a country's system i.e. minor roads of a lower classification than tertiary, but which serve a purpose other than access to properties."</label><br>
          <input type="checkbox" id="roadType7" name="roadType7" value="residental">
          <label for="roadType7">Residental: "Roads which serve as an access to housing, without function of connecting settlements."</label><br>

        </div>
        <br>
        <div>
          <a id="start_simulation" download></a>
          <button class="button" id="start-simulation">Start Simulation</button>
          <button class="button" id="reset-simulation">Reset</button>
        </div>
      </div>
      <div class="box content">
        <div id="map" class="map"></div>
      </div>
      <br>
    </div>

    <!-- Pointer events polyfill for old browsers, see https://caniuse.com/#feat=pointer -->
    <script type="module" src="https://cdn.jsdelivr.net/npm/elm-pep@1.0.6/dist/elm-pep.js"></script>
    <script type="module" src="main.js"></script>
    
  </body>

</html>